#ifndef _SDCARD_H_
#define _SDCARD_H_

#ifdef CONFIG_SDCARD_ENABLE

#include <includes.h>
#include <stdint.h>

extern int sd_init(void);
extern int sd_readsector(uint32_t address, uint8_t *buf);
extern int sd_writesector(uint32_t address, const uint8_t *buf);
extern int sd_get_sector_count(void);

#endif

#endif // _SDCARD_H_
